List datasets
List uploaded datasets at a fixed revision.
GET
/v1/workspaces/{workspace}/datasetsAuthorization
Authorizationstringrequired
Send a Modaic bearer token in the Authorization header.
Path Parameters
workspacestringrequired
User or organization workspace slug that owns the dataset.
Query Parameters
commitShastring
Optional 40-character lowercase hex dataset revision.
kinddataset | eval-only-dataset | artifact
Optional filter.
globstring
Optional dataset-name glob using
* and ?, such as security-*.cursorstring
For another page, pass nextCursor and the same commitSha.
Response
datasetsarray
commitShastring | null
Revision used for this listing.
nextCursorstring | null
Null on the last page.
Was this page helpful?